<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='19' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
    {
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <?php include ('head.php');?>
    <script src="tienda_a_tienda/buscar_cliente_cotizacion.js" type="text/javascript"></script>
</head>
<body >
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="active";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$cotizacion="";
$ventas="";
$periodica="";
$clientes="";
$cartera="";
$garantias="";
$abonos="";
$cotizacion_online="";
$reservas="active";


include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2"> 
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <div class="widget stacked">
            <div class="widget-header"></div>
            <div class="widget-content">
                <div id="resultados_cot"></div>
                    <?php
                        $can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as numero FROM cotizacion where empresa='$empresa'") or die(mysqli_error($con)); 
                        $dato=mysqli_fetch_array($can);
                        $numero=$dato['numero']+1;
                    ?> 
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Buscador Cliente</label>
                        </div> <!-- /.form-group -->
                        <div class="input-group">
                           
                            <section id="intro" >
                                <select name="clie_id" id="clie_id" class="form-control name_list input-sm" onchange="update_cliente(1,this.value);">
                                    <option value=""> - </option>
                                        <?php
                                            $datoss = mysqli_query($con,"SELECT * FROM cliente WHERE empresa='$empresa'") ;
                                            while( $filas = mysqli_fetch_array( $datoss ) )
                                            {
                                                echo' <option value="'.$filas['clie_id'].'">'.$filas['clie_cc'].' - '.$filas['clie_nombre'].'</option>';
                                            }
                                        ?>
                                </select>
                            </section>
                            <span class="input-group-addon">
                                <a href="#nuevocliente" title="Nuevo" data-toggle="modal" type="button"><i class="btn-icon-only icon-plus"></i> </a>
                            </span>
                           
                        </div> 
                        <div id="select_cli"></div>
                    </div><!-- /col-md-4 --> 
                    
                    <form role="form" id="form_cotizar" name="form_cotizar" method="post" action="" >
                        <div class="col-md-4">
                            
                            <div class="form-group">
                                <label>Fecha Reserva</label>

                                <input type="hidden" name="cot_fecha" value="<?php echo  date('d-m-Y');?>" class="form-control input-sm" readonly>

                                <input type="date" name="cot_fecha_reserva" id="cot_fecha_reserva" value="" min="<?php echo date('Y-m-d'); ?>" class="form-control input-sm" required>
                            </div> <!-- /.form-group -->
                            <div class="form-group">
                                <label>Usuario</label>
                                 <section >
                                <select name="cot_vendedor" id="cot_vendedor"  class="form-control name_list input-sm" required >
                                    <option value="intro"> - </option>
                                        <?php
                                            $datosusu = mysqli_query($con,"SELECT * FROM zhop_reserva_usuario WHERE res_usu_estado='activo' and empresa='$empresa' group by usuario_usu_id") ;
                                            $cont = mysqli_num_rows( $datosusu );
                                            if ($cont>0) {
                                            
                                            while( $filas = mysqli_fetch_array( $datosusu ) )
                                            {
                                                $usuario_usu_id=$filas['usuario_usu_id'];

                                                $usua = mysqli_query($con,"SELECT * FROM usuario WHERE usu_id='$usuario_usu_id' and  empresa_emp_id='$empresa'") ;
                                                $res = mysqli_fetch_array( $usua );

                                                $usu_nombre=$res['usu_nombre'];


                                                echo' <option value="'.$usuario_usu_id.'">'.$usu_nombre.'</option>';
                                            } } else {
                                                 echo' <option>No hay registros</option>';

                                            }
                                        ?>
                                </select>
                            </section>
                            </div> <!-- /.form-group -->
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Reserva N°</label>
                                <input type="text" id="cot_id" value="<?php echo $numero;?>" class="form-control input-sm" readonly>
                            </div>
                           
                            <div class="form-group">
                                <label>Hora Reserva</label>
                                  <section id="" >
                                    <select name="turno" id="turno" class="form-control name_list input-sm" required >
                                        <option value=""> - </option>
                                           
                                    </select>
                                </section>
                            </div>
                        </div>

                        <div class="col-md-8"> 
                            <label>Observaciones</label>
                            <input type="text" name="observaciones" id="observaciones" value="" class="form-control input-sm" >
                        </div> 
                        
                        <div class="col-md-8"> </div>
                        <div class="col-md-4"></div>
                        <div class="col-md-4">
                            <label>&nbsp;</label>
                            <div class="form-group"  align="right"  >
                                <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modal_reservas" style="width:100%;"><!-- php_buscador-->
                                <span class="btn-icon-only icon-plus "></span>Agregar Productos
                                </button>
                            </div> </br> 
                        </div>
                       
                        <div class="table-responsive">
                            <div id="tabla"></div>
                        </div> 

                        <div id="guardar" class="modal fade" tabindex="-1" role="dialog">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-body">
                                        <div class="alert alert-info alert-dismissable">
                                            <strong>Desea realmente Guardar la Reserva !</strong> <a href="#" class="alert-link"></a>
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
                                          <button name="btn_cotizar" id="btn_cotizar" value="cotizar" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Si </strong></button>
                                        </div>
                                    </div>
                                </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div> <!-- /.form-group -->
                    </form> <!-- /.form -->   
                    </br>


                <div class="col-md-4">
                    <form action="" method="post" id="descuentotal" name="descuentotal" class="">
                        <div class="input-group">
                            <input type="number" min="0" max="99" name="desc" value="0" class="form-control " id="desc" required />
                            <span class="input-group-btn">
                                <button name="btn_desc" id="btn_desc" type="submit" class="btn btn-warning">% Descuento</button>
                            </span>
                        </div>
                    </form>
                </div>
                <div class="col-md-4" >
                    <form action="" method="post" id="retencion" name="retencion" class="">
                        <div class="input-group">
                            <select class="form-control" name="retencion" required>
                                <option value=""></option>
                                <?php
                                    $result_1=mysqli_query($con,"SELECT * FROM retencion WHERE empresa='$empresa'");  
                                    while ($row_1=mysqli_fetch_array($result_1)) 
                                    {   ?>
                                        <option value='<?php echo $row_1['ret_id']; ?>' ><?php echo mb_strtoupper($row_1['ret_nombre']); ?> (<?php echo $row_1['ret_porcentaje']; ?> %)</option> 
                                <?php } ?>
                            </select>
                            <span class="input-group-btn">
                            <button name="btn_ret" id="btn_ret" type="submit" class="btn btn-warning">Retención</button></span>
                        </div>
                    </form>
                </div>
                <div class="col-md-4">
                    <div class="pull-right">
                        <a href="php_reservas/eliminar_cotizacion_temp.php" type="button" class="btn btn-danger" >
                            <span class="btn-icon-only icon-remove"></span> Eliminar
                        </a>
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#guardar">
                            <span class="btn-icon-only icon-ok"></span> Guardar
                        </button>
                    </div>
                </div>
            </div>
        </div> <!-- /.widget-content --> </br> </br> </br> 
    </div>
</div> <!-- /container -->

<div class="modal fade" id="tarifa_cot" role="dialog" style="z-index: 10001;" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" >
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Tarifas</h4>
            </div>
            <div class="modal-body">
                <div id="form-tar"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<?php 
include ('php_clientes/form_nuevo_cliente.php');

include ('php_buscador/buscardor_reservas.php');
 


?>
<script>
function loadcliente(){
    $.get("./php_reservas/select_cliente.php","",function(data){
    $("#select_cli").html(data);
  })
}
loadcliente();

function loadTabla(){
  $.get("./php_reservas/tabla.php","",function(data){
    $("#tabla").html(data);
  })
}
loadTabla();

$(document).ready(function(){
    load(1);
});


function load(page){
    var tarifa=$("#tarifa").val();
    var q=$("#q").val();
    var tipo=  document.querySelector('input[name="tipo"]:checked').value
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/articulos_reservas.php?action=ajax&page='+page+'&q='+q+'&tipo='+tipo+'&tarifa='+tarifa,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
  })
}


function agregar(art_id_bod)
{
    var art_id=document.getElementById('art_id'+art_id_bod).value;
    var art_referencia=document.getElementById('art_referencia'+art_id_bod).value;
    var nombre=document.getElementById('nombre'+art_id_bod).value;
    var cantidad=document.getElementById('cantidad'+art_id_bod).value;
    var art_iva=document.getElementById('art_iva'+art_id_bod).value;
    var descuento=document.getElementById('descuento'+art_id_bod).value;
    var precio_venta=document.getElementById('precio_venta'+art_id_bod).value;
    var tipo='articulo';
    var cambio=document.getElementById('cambio'+art_id_bod).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id_bod).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id_bod).focus();
        return false;
    }

    if (precio_venta<=0)
    {
        alert('El precio no puede ser 0');
        document.getElementById('precio_venta'+art_id_bod).focus();
        return false;
    }



    $.ajax({
    type: "POST",
    url: "./php_reservas/agregar_articulo_temp.php",
    data: "art_id_bod="+art_id_bod+"&art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&tipo="+tipo+"&cambio="+cambio,

    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
    loadTabla();
    }
    });
}


function agregarservicio_producto (art_id)
{
    var art_id=document.getElementById('art_id'+art_id).value;
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var nombre=document.getElementById('nombre'+art_id).value;
    var cantidad=document.getElementById('cantidad'+art_id).value;
    var art_iva=document.getElementById('art_iva'+art_id).value;
    var descuento=document.getElementById('descuento'+art_id).value;
    var precio_venta=document.getElementById('precio_venta'+art_id).value;
    var tipo=document.getElementById('tipo'+art_id).value;
    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad'+art_id).focus();
        return false;
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta'+art_id).focus();
        return false;
    }
    if (precio_venta<=0)
    {
        alert('El precio no puede ser 0');
        document.getElementById('precio_venta'+art_id_bod).focus();
        return false;
    }

    $.ajax({
    type: "POST",
    url: "./php_reservas/agregar_articulo_temp.php",
    data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&tipo="+tipo,

    beforeSend: function(objeto){
    $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
    $("#tabla").html(datos);
    }
    });
    loadTabla();
}

function update_cliente(campo,clie_id){
    var parametros = {"action":"update","campo":campo,"clie_id":clie_id}; 
    $.ajax({
        type: "POST",
        url: "./php_reservas/agregar_cliente.php",
        data: parametros,
            beforeSend: function(objeto){
            $("#select_cli").html("");
        },
        success: function(datos){
            $("#select_cli").html(datos);
            loadcliente();
            load(1);
        }
    });
} 

$(document).ready(function(){
  // Cuando cambie cualquiera de los dos campos
  $("#cot_vendedor, #cot_fecha_reserva").change(function() {
    var vendedor = $("#cot_vendedor").val();
    var fechaReserva = $("#cot_fecha_reserva").val();

    // Verificar si ambos campos tienen valores
    if (vendedor != "" && fechaReserva != "") {
      $.get("./php_reservas/agregar_turno.php", {
        cot_vendedor: vendedor,
        cot_fecha_reserva: fechaReserva
      }, function(data){
        // Actualizar el contenido de #turno con la respuesta
        $("#turno").html(data);
        console.log(data);
      });
    } else {
      // Si no se ha seleccionado vendedor o fecha, limpiar el contenedor #turno
      $("#turno").html("");
    }
  });
});




$( "#form_cotizar" ).submit(function( event ) {
  $('#btn_cotizar').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_reservas/registrar_cotizacion.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cot').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_cot").html(datos);
      $('#btn_cotizar').attr("disabled", false);
      loadTabla();
      loadcliente();
      document.getElementById("form_cotizar").reset();
      }
  });
  event.preventDefault();
})


$( "#descuentotal" ).submit(function( event ) {
$('#btn_desc').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_reservas/descuento.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#tabla").html(datos);
      $('#btn_desc').attr("disabled", false);
      loadTabla();
      }
  });
  event.preventDefault();
})
  

$( "#retencion" ).submit(function( event ) {
$('#btn_ret').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_reservas/retencion.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#tabla").html(datos);
      $('#btn_ret').attr("disabled", false);
      loadTabla();
      }
  });
  event.preventDefault();
})


$( "#nuevo_clie" ).submit(function( event ) {
$('#btn_cliente').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_clientes/registrar_cliente_cotizacion.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultados_cliente").html(datos);
    $('#btn_cliente').attr("disabled", false);
    $('#nuevocliente').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    loadcliente();
    }
});
event.preventDefault();
})
</script>

<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>


